# Uses of Class
org.apache.sysds.runtime.codegen.SpoofOperator

Packages that use SpoofOperator
Package
Description
org.apache.sysds.runtime.codegen
org.apache.sysds.runtime.einsum
org.apache.sysds.runtime.instructions.cp

## Uses of SpoofOperator in org.apache.sysds.runtime.codegen

Subclasses of SpoofOperator in org.apache.sysds.runtime.codegen
Modifier and Type
Class
Description
`class`
`SpoofCellwise`
`class`
`SpoofCUDACellwise`
`class`
`SpoofCUDARowwise`
`class`
`SpoofMultiAggregate`
`class`
`SpoofOuterProduct`
`class`
`SpoofRowwise`
Methods in org.apache.sysds.runtime.codegen that return SpoofOperator
Modifier and Type
Method
Description
`static SpoofOperator`
CodegenUtils.`createInstance(Class<?> cla)`

## Uses of SpoofOperator in org.apache.sysds.runtime.einsum

Subclasses of SpoofOperator in org.apache.sysds.runtime.einsum
Modifier and Type
Class
Description
`final class`
`EinsumSpoofRowwise`

## Uses of SpoofOperator in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return SpoofOperator
Modifier and Type
Method
Description
`SpoofOperator`
SpoofCPInstruction.`getSpoofOperator()`